<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $json = file_get_contents('php://input');
    $data = json_decode($json, true);
    $params = [];
    if ($data === null) {
        echo json_encode(['error' => 'Invalid JSON']);
        exit;
    }

    // 检查"Prompt"字段是否存在且不为空
    if (!isset($data['Prompt']) || empty($data['Prompt'])) {
        $result = array(
            "error" => "参数没有填写"
        );
        echo json_encode($result);
        exit;
    }
    $body = json_encode([
        'prompt' => $data['Prompt'],
        'image_size' => '1024x1024',
        'num_inference_steps' => 20,
    ]);
    $Authorization ='sk-1';

    $client = new \GuzzleHttp\Client();
    $response = $client->request('POST', 'https://api.siliconflow.cn/v1/black-forest-labs/FLUX.1-schnell/text-to-image', [
        'body' => $body,
        'headers' => [
            'accept' => 'application/json',
            'authorization' => 'Bearer ' . $Authorization,
            'content-type' => 'application/json',
        ],
    ]);

    $responseBody = (string) $response->getBody();
    echo $responseBody;

}